#ifndef FIFO_H_
#define FIFO_H_

void FIFO_init(void);
int RX_FIFO_empty(void);
int RX_FIFO_full(void);
int RX_FIFO_count(void);
int RX_FIFO_put(uint8_t data);
int RX_FIFO_get(uint8_t *data);
int TX_FIFO_empty(void);
int TX_FIFO_full(void);
int TX_FIFO_put(uint8_t data);
int TX_FIFO_get(uint8_t *data);

#endif /* FIFO_H_ */